Skip to main content
POST
Create a person data parameter

Authorizations

Authorization
string
header
required

Path Parameters

person_id
string
required

Extole person id.

Body

application/json

Body of a POST /v5/persons/{person_id}/data request.

name
string
required

Name of the data parameter to create.

value
object
required

Value to store for the data parameter.

scope
enum<string>

Visibility scope of the data parameter. Defaults to PRIVATE when omitted.

Available options:
CLIENT,
PRIVATE,
PUBLIC

Response

Created person data parameter.

created_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

id
string
required
read-only

Extole-assigned unique identifier for this data parameter entry.

name
string
required

Name of the data parameter.

scope
enum<string>
required

Visibility scope of the data parameter.

Available options:
CLIENT,
PRIVATE,
PUBLIC
updated_date
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

value
object
required

Value stored for the data parameter.